ctrlinit
Prev | Orchestra Opcodes and Operators | Next

## ctrlinit

ctrlinit — Sets the initial values for a set of MIDI controllers.

## Description

Sets the initial values for a set of MIDI controllers.

## Syntax

    ctrlinit ichnl, ictlno1, ival1 [, ictlno2] [, ival2] [, ictlno3] \
          [, ival3] [,...ival32]

## Initialization

ichnl -- MIDI channel number (1-16)

ictlno1, ictlno1, etc. -- MIDI controller numbers (0-127)

ival1, ival2, etc. -- initial value for corresponding MIDI controller number

## Performance

Sets the initial values for a set of MIDI controllers.

## See Also

massign

## Credits

Author: Barry L. Vercoe - Mike Berry
MIT, Cambridge, Mass.

New in Csound version 3.47

Thanks goes to Rasmus Ekman for pointing out the correct MIDI channel and controller number ranges.

Prev | Up | Next
ctrl7 | Home | cuserrnd